Bug 1258231 - [New] - UI displays unexpected exception and sync does not happen even when brick creation is successful. [NEEDINFO]
[New] - UI displays unexpected exception and sync does not happen even when b...
Status: CLOSED CANTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
3.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Sahina Bose
RHS-C QE
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 08:26 EDT by RamaKasturi
Modified: 2018-01-29 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-29 10:12:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: needinfo? (rnachimu)


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-08-30 08:26:32 EDT
Description of problem:
When there is an /etc/fstab entry present for a brick and if user tries to create brick with same brick name and mount point UI displays unexpected exception but brick creation is successful and sync does not happen for the brick being created.

Version-Release number of selected component (if applicable):
rhsc-3.1.1-0.64.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create a brick with name brick1 and mount point /rhgs/brick1
2. Now remove the brick from system and do not delete /etc/fstab entry
3. Now create another brick with same name and mount point

Actual results:
Birck creation suceeds, but UI displays unexpected exception and fails to sync the newly created brick.

Expected results:
UI should not display unexpected exception and should not fail to sync newly created brick.

Additional info:
Comment 3 Sahina Bose 2016-03-23 02:13:22 EDT
Do you know why the sync of the newly created brick fails - shouldn't it be synced in next pass?
Comment 6 Sahina Bose 2018-01-29 10:12:04 EST
Thank you for your report. This bug is filed against a component for which no further new development is being undertaken

Note You need to log in before you can comment on or make changes to this bug.